/*
Copyright (c) 2010 Goeran Bruns <goeran@brunsware.de>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to
whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.
*/

#include "winsock2.h"

typedef unsigned short word;

struct OutGaugePack
{
    unsigned    Time;
    char        Car[4];
    word        Flags;
    byte        Gear;
    byte        SpareB;
    float       Speed;
    float       RPM;
    float       Turbo;
    float       EngTemp;
    float       Fuel;
    float       OilPressure;
    float       OilTemp;
    unsigned    DashLights;
    unsigned    ShowLights;
    float       Throttle;
    float       Brake;
    float       Clutch;
    char        Display1[16];
    char        Display2[16];
    int         ID;
};


#define OG_TURBO        8192
#define OG_KM           16384
#define OG_BAR          32768
enum
{
    DL_SHIFT,
    DL_FULLBEAM,
    DL_HANDBRAKE,
    DL_PITSPEED,
    DL_TC,
    DL_SIGNAL_L,
    DL_SIGNAL_R,
    DL_SIGNAL_ANY,
    DL_OILWARN,
    DL_BATTERY,
    DL_ABS,
    DL_SPARE,
    DL_NUM
};




BOOL WINAPI CtrlC_HandlerRoutine ( DWORD );

void WriteDataToConsole(const OutGaugePack*);
